package com.chenyang.nse.bussiness.odbc.po;

public class RuleReqInfo {
   private String project;
   private String host;
   private String port;

   public String getProject() {
      return this.project;
   }

   public String getHost() {
      return this.host;
   }

   public String getPort() {
      return this.port;
   }

   public void setProject(final String project) {
      this.project = project;
   }

   public void setHost(final String host) {
      this.host = host;
   }

   public void setPort(final String port) {
      this.port = port;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof RuleReqInfo)) {
         return false;
      } else {
         RuleReqInfo other = (RuleReqInfo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$project = this.getProject();
            Object other$project = other.getProject();
            if (this$project == null) {
               if (other$project != null) {
                  return false;
               }
            } else if (!this$project.equals(other$project)) {
               return false;
            }

            Object this$host = this.getHost();
            Object other$host = other.getHost();
            if (this$host == null) {
               if (other$host != null) {
                  return false;
               }
            } else if (!this$host.equals(other$host)) {
               return false;
            }

            Object this$port = this.getPort();
            Object other$port = other.getPort();
            if (this$port == null) {
               if (other$port != null) {
                  return false;
               }
            } else if (!this$port.equals(other$port)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof RuleReqInfo;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $project = this.getProject();
      result = result * 59 + ($project == null ? 43 : $project.hashCode());
      Object $host = this.getHost();
      result = result * 59 + ($host == null ? 43 : $host.hashCode());
      Object $port = this.getPort();
      result = result * 59 + ($port == null ? 43 : $port.hashCode());
      return result;
   }

   public String toString() {
      return "RuleReqInfo(project=" + this.getProject() + ", host=" + this.getHost() + ", port=" + this.getPort() + ")";
   }
}
